﻿namespace Hotline.Application.JudicialManagement
{
    public interface IEnforcementApplication
    {
        /// <summary>
        /// 司法行政监督管理-工单写入
        /// </summary>
        /// <param name="order"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task AddEnforcementOrderAsync(Hotline.Orders.Order order, CancellationToken cancellationToken);

        /// <summary>
        /// 判断处理推诿工单
        /// </summary>
        /// <param name="order"></param>
        /// <param name="orgCode"></param>
        /// <param name="orgName"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task AddPassTheBuckOrderAsync(Hotline.Orders.Order order, string orgCode, string orgName, CancellationToken cancellationToken);
    }
}
