﻿using Hotline.Share.Enums.Order;

namespace Hotline.Share.Dtos.OrderTranspond
{
    public class TranspondCityRawDataDto
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        public string OrderCode { get; set; }

        /// <summary>
        /// 转出/转入时间  
        /// </summary>
        public DateTime? TransferOutTime { get; set; }

        /// <summary>
        /// 推送次数
        /// </summary>
        public int SendTimes { get; set; }

        /// <summary>
        /// 推送成功
        /// </summary>
        public bool? IsSuccess { get; set; }

        /// <summary>
        /// 请求结果/转入数据
        /// </summary>
        public string? Result { get; set; }

        /// <summary>
        /// 市州名称
        /// </summary>
        public string? CityName { get; set; }

        /// <summary>
        /// 转出或者转入
        /// </summary>
        public ETranspondDirection Direction { get; set; }
    }
}
