﻿using XF.Domain.Repository;

namespace Hotline.Settings
{

    public interface ISystemOrganizeRepository: IRepository<SystemOrganize>
    {
        Task<IReadOnlyList<SystemOrganize>> GetOrgJson();

        Task<IReadOnlyList<SystemOrganize>> GetCanUseOrg();

        Task<IReadOnlyList<SystemOrganize>> GetCanUseOrgByOrgCode(string orgCode);

        //Task<string> GetNewOrgCode(string? parentId);
    }
}
